XnMapMetaData Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnOutputMetaData * | pOutput
XnUInt32XYPair | Res
XnUInt32XYPair | Offset
XnUInt32XYPair | FullRes
XnPixelFormat | PixelFormat
XnUInt32 | nFPS

## Detailed Description

Holds information about a frame of data that has a map format.

## Member Data Documentation

## FullRes

XnUInt32XYPair XnMapMetaData::FullRes

The full resolution of this frame, disregarding cropping.

## nFPS

XnUInt32 XnMapMetaData::nFPS

The number of frames per second that was set when this frame was received.

## Offset

XnUInt32XYPair XnMapMetaData::Offset

The offset of the cropped region within this frame. Set to (0,0) if no cropping was done.

## PixelFormat

XnPixelFormat XnMapMetaData::PixelFormat

The pixel format of this frame.

## pOutput

XnOutputMetaData* XnMapMetaData::pOutput

A pointer to general information about this frame.

## Res

XnUInt32XYPair XnMapMetaData::Res

The resolution of this frame, including any cropping that was set.

The documentation for this struct was generated from the following file:

- XnTypes.h